import 'rxjs/add/operator/map';
import 'rxjs/add/operator/toPromise';
import { Http } from '@angular/http';
import { ConfigLoader } from '@bizappframework/ng-config';
export declare class ConfigHttpLoader implements ConfigLoader {
    private readonly http;
    private readonly endpoint;
    private cachedSettings;
    constructor(http: Http, endpoint: string);
    getType(): string;
    load(): Promise<any>;
    getLoadedSettings(): {
        [key: string]: any;
    };
}
